﻿
-- Lua script to change standard in-game bales to mod bales that are less easy to roll.
-- Author --
		-- Oscar Mods
		-- with help and credit to alfalfa6945 
		-- ViperGTS96 for use of his scriptsets 
		
-- Not to be shared anywhere other than FS-UK and ModHub. 
-- Please only use this mod if it has been downloaded from FS-UK or modhub


BalesNoRoll = {}

BalesNoRoll.modDir = g_currentModDirectory

function BalesNoRoll:loadMap(name)
 BaleUtil.baleIndexToDesc[BaleUtil.BALETYPE_STRAW_112_130]            .filename = "$"..BalesNoRoll.modDir.."roundbaleStraw_w112_d130.i3d"
 BaleUtil.baleIndexToDesc[BaleUtil.BALETYPE_DRYGRASS_WINDROW_112_130] .filename = "$"..BalesNoRoll.modDir.."roundbaleHay_w112_d130.i3d"
 BaleUtil.baleIndexToDesc[BaleUtil.BALETYPE_GRASS_WINDROW_112_130]    .filename = "$"..BalesNoRoll.modDir.."roundbaleGrass_w112_d130.i3d"
 BaleUtil.baleIndexToDesc[BaleUtil.BALETYPE_SILAGE_112_130]           .filename = "$"..BalesNoRoll.modDir.."roundbaleSilage_w112_d130.i3d"
end

function BalesNoRoll:deleteMap()
end

function BalesNoRoll:mouseEvent(posX, posY, isDown, isUp, button)
end

function BalesNoRoll:keyEvent(unicode, sym, modifier, isDown)
end

function BalesNoRoll:update(dt) 
end

function BalesNoRoll:draw()
end

addModEventListener(BalesNoRoll)

BaleWrapper.BalesNoRollLoad = function(self, savegame)
    for _, fillType in pairs(self.roundBaleWrapper.allowedBaleTypes) do
        for _, bale in pairs(fillType) do
            if string.match(bale.wrapperBaleFilename, "roundbaleSilage_w112_d130.i3d") then
                bale.wrapperBaleFilename = BalesNoRoll.modDir.."roundbaleSilage_w112_d130.i3d"
            end
        end
    end
end
BaleWrapper.load = Utils.appendedFunction(BaleWrapper.load, BaleWrapper.BalesNoRollLoad)
